%define python_py_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(0)")
%define python_lib_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")

Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>
Summary:   	The GNOME Structured File Library
Name:      	libgsf
Version:   	1.14.11
Release:   	1
License: 	GNU/GPL
URL:		http://ftp.gnome.org/pub/GNOME/sources/libgsf/1.14/
Group:     	System/Libraries
Source0: 	libgsf-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	libbonobo-devel 
BuildRequires:  ORBit2-devel
BuildRequires:  bzip2-devel
BuildRequires:  glibc-devel
BuildRequires:  glib-devel
BuildRequires:  gnome-vfs-devel
BuildRequires:  libxml2-devel
BuildRequires:  zlib-devel

%description
The GNOME Structured File Library is a utility library for reading
and writing structured file formats. Support for MS OLE2 streams is
complete, as is zip import. There is also support for document
metadata and some initial work on decompressing VBA streams in OLE
files for future conversion to other languages. This library replaces
libole2 and is used in gnumeric, mrproject, abiword, libwv2, koffice.
It is also part of the AAF format.

%package gnome
Summary: 	GNOME integration bits for libgsf
Group: 		System/Libraries
Requires: 	libgsf = %{version}-%{release}
Requires: 	gnome-vfs

%description gnome
Libraries for using libgsf in conjunction with the GNOME applications

%package devel
Summary: 	Support files necessary to compile applications with libgsf
Group: 		Development/Libraries
Requires: 	libgsf = %{version}-%{release}, glib-devel, libxml2-devel
Requires: 	pkgconfig

%description devel
Libraries, headers, and support files necessary to compile applications using 
libgsf.

%package gnome-devel
Summary: 	Support files necessary to compile applications with libgsf and GNOME
Group:		Development/Libraries
Requires: 	libgsf-devel = %{version}-%{release}, glib-devel

%description gnome-devel
Libraries, headers, and support files necessary to compile applications using
libgsf and GNOME libraries

%package python
Summary: 	Python bindings for libgsf
Group: 		Development/Libraries

%description python
Python bindings for libgsf

%post
ldconfig

%postun
ldconfig

%prep
%setup -n libgsf-%{version}

%build
./configure --prefix=%_prefix --sysconfdir=%_sysconfdir/gnome --disable-debug
make

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install-strip DESTDIR=$RPM_BUILD_ROOT

%find_lang libgsf

rm -f $RPM_BUILD_ROOT/%{python_lib_sitearch}/gsf/*.la

if [ "%{python_py_sitearch}" != "%{python_lib_sitearch}" ]; then
  mv $RPM_BUILD_ROOT/%{python_py_sitearch}/gsf/* $RPM_BUILD_ROOT/%{python_lib_sitearch}/gsf
  rm -r $RPM_BUILD_ROOT/%{python_py_sitearch}/gsf
fi


%files -f libgsf.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_libdir}/libgsf-1.so.*

%files gnome
%defattr(-,root,root,-)
%{_libdir}/libgsf-gnome-1.so.*
%{_bindir}/gsf-office-thumbnailer
%{_mandir}/man1/gsf-office-thumbnailer.1.gz
%{_sysconfdir}/gnome/gconf/schemas/gsf-office-thumbnailer.schemas

%post gnome
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gnome/gconf/schemas/gsf-office-thumbnailer.schemas > /dev/null

%preun gnome
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gnome/gconf/schemas/gsf-office-thumbnailer.schemas > /dev/null
fi

%postun gnome -p /sbin/ldconfig

%files devel
%defattr(-,root,root,-)
%{_bindir}/gsf
%{_bindir}/gsf-vba-dump
%{_libdir}/libgsf-1.so
%{_libdir}/libgsf-1.a
%{_libdir}/libgsf-1.la
%{_libdir}/pkgconfig/libgsf-1.pc
%dir %{_includedir}/libgsf-1
%{_includedir}/libgsf-1/gsf
%{_datadir}/gtk-doc/html/gsf
%{_mandir}/man1/gsf.1.gz
%{_mandir}/man1/gsf-vba-dump.1.gz

%files gnome-devel
%defattr(-,root,root,-)
%{_libdir}/libgsf-gnome-1.so
%{_libdir}/libgsf-gnome-1.a
%{_libdir}/libgsf-gnome-1.la
%{_libdir}/pkgconfig/libgsf-gnome-1.pc
%{_includedir}/libgsf-1/gsf-gnome

%files python
%defattr(-,root,root,-)
%{python_lib_sitearch}/gsf/

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Apr 07 2009 Christian Metzen <metzench@ccux-linux.de> 1.14.11-1
- Version update
- moved sysconfdir
- added gconf schema install
- corrected URL
- splitted packages
* Mon Dec 31 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.14.7-1
- Version Update
* Sun Dec 31 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.14.3-1
- Version Update
* Sat Mar 25 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.14.0-1
- Version Update
* Tue Jul 12 2005 Christian Metzen <metzench@ccux-linux.de> 1.12.1-2
- Moved more files to devel package
* Thu Jun 30 2005 Karsten Brockmann <arcam@ccux-linux.de> 1.12.1-1
- Version Update to 1.12.1
* Sat Mar 19 2005 Christian Metzen <metzench@ccux-linux.de> 1.11.1-1
- Version Update to 1.11.1
* Wed Nov 03 2004 Christian Wasem <wasem@ccux-linux.de> 1.10.1-1
- Version Update to 1.10.1
* Fri Apr 23 2004 Christian Wasem <wasem@ccux-linux.de> 1.8.2-1
- Initial Release
